> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Channel Integrations > Retrieves the integrations that the channel has. The endpoint requires at least one of the following integration permissions: - `manage-incoming-integrations` - `manage-own-incoming-integrations` - `manage-outgoing-integrations` - `manage-own-outgoing-integrations`. It will return the integrations based on the user's permission. ### Changelog | Version | Description | | ------- | -------------------------------------------------- | |9.0.0 | Removed the `fields` and `query` parameters. | | 1.1.0 | Separate permissions in `incoming` and `outgoing`. | | 0.49.0 | Added | ## OpenAPI ````json GET /api/v1/channels.getIntegrations { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.getIntegrations": { "get": { "tags": [ "Channels" ], "summary": "Get Channel Integrations", "description": "Retrieves the integrations that the channel has.\nThe endpoint requires at least one of the following integration permissions: \n- `manage-incoming-integrations`\n- `manage-own-incoming-integrations`\n- `manage-outgoing-integrations`\n- `manage-own-outgoing-integrations`. \n\nIt will return the integrations based on the user's permission. \n\n### Changelog\n| Version | Description |\n| ------- | -------------------------------------------------- |\n|9.0.0 | Removed the `fields` and `query` parameters. |\n| 1.1.0 | Separate permissions in `incoming` and `outgoing`. |\n| 0.49.0 | Added |", "operationId": "get-api-v1-channels.getIntegrations", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/RoomId" }, { "$ref": "#/components/parameters/offset" }, { "$ref": "#/components/parameters/sort" }, { "$ref": "#/components/parameters/count" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "integrations": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "enabled": { "type": "boolean" }, "username": { "type": "string" }, "alias": { "type": "string" }, "avatar": { "type": "string" }, "name": { "type": "string" }, "triggerWords": { "type": "array", "items": { "type": "string" } }, "urls": { "type": "array", "items": { "type": "string" } }, "token": { "type": "string" }, "script": { "type": "string" }, "scriptEnabled": { "type": "boolean" }, "impersonateUser": { "type": "boolean" }, "scriptCompiled": { "type": "string" }, "scriptError": { "type": "string" }, "type": { "type": "string" }, "userId": { "type": "string" }, "channel": { "type": "array", "items": { "type": "object" } }, "_createdAt": { "type": "string" }, "_createdBy": { "type": "object", "properties": { "username": { "type": "string" }, "_id": { "type": "string" } } }, "_updatedAt": { "type": "string" } } } }, "success": { "type": "boolean" } } }, "examples": { "Example": { "value": { "integrations": [ { "_id": "WMQDChpnYTRmFre9h", "enabled": true, "username": "rocket.cat", "alias": "Guggy", "avatar": "http://res.guggy.com/logo_128.png", "name": "Guggy", "triggerWords": [ "!guggy", "guggy", "gif+" ], "urls": [ "http://text2gif.guggy.com/guggify" ], "token": "8DFS89DMKLWEN", "script": "const config = {color: '#ffffff'};class Script{}", "scriptEnabled": true, "impersonateUser": false, "scriptCompiled": "function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor));", "scriptError": "", "type": "webhook-outgoing", "userId": "rocket.cat", "channel": [], "_createdAt": "2017-01-05T17:06:05.66Z", "_createdBy": { "username": "graywolf336", "_id": "R4jgcQaQhvvK6K3iY" }, "_updatedAt": "2017-01-05T17:06:05.66Z" } ], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "RoomId": { "name": "roomId", "in": "query", "description": "The room id.", "required": true, "schema": { "type": "string" }, "example": "jdiue8TGkodp" }, "offset": { "name": "offset", "in": "query", "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 }, "sort": { "name": "sort", "in": "query", "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {\"value\": -1, \"_id\": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": {} }, "count": { "name": "count", "in": "query", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.", "required": false, "schema": { "type": "integer" }, "example": 50 } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````